#include <bits/stdc++.h>

using namespace std;

bool nadjeni=false;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    long long t,a,b;

    cin >> t;

    for(int i=0; i<t; i++)
    {
        nadjeni=false;

        cin >> a;
        cin >> b;

        long long x=sqrt(a),x1=1;

        if(x%2==0)
        {
            x--;
        }

        for(; x>=1 && x1<=x; x-=2)
        {
            long long y=a/x,l=x^y;
            if(a%x==0 && l==b)
            {
                nadjeni=true;
                cout << x << " " << y << endl;
                break;
            }
            long long y1=a/x1,l1=x^y;
            if(a%x1==0 && l1==b)
            {
                nadjeni=true;
                cout << x1 << " " << y1 << endl;
                break;
            }
            x1+=2;
        }
        if(nadjeni==false)
        {
            cout << "-1" << endl;
        }
    }

    return 0;
}